summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlnet
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-09-28 18:20:23 +0000
committerKarl Berry <karl@freefriends.org>2008-09-28 18:20:23 +0000
commitf8e98266dff62c63db19793ccc6f22fef0ca04ad (patch)
tree821ce16214adb84ee8231e14ebcd80879cff22ba /Master/tlpkg/bin/tl-update-tlnet
parentf11b3137a67e1dd2486a9865eecacb31f2e44d43 (diff)
doc tweaks
git-svn-id: svn://tug.org/texlive/trunk@10773 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet28
1 files changed, 12 insertions, 16 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index dc3b0db455e..1577c6958d5 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -4,20 +4,13 @@
# or any later version.
#
# Update a TeX Live tlnet distribution, with testing.
-#
-# TODO:
-# - only remove the old tlnet and move the newly one to the old place in case
-# that actually something has changed. OTOH we have to check the output
-# of tl-update-containers (is that trustworthy?), OTOH the install packages
-# size (md5sums?)
-# - other tests with the installed system?
-# - help msg.
vc_id='$Id$'
unset CDPATH
unset LS_COLORS
chicken=false
+yyyy=2008
while test $# -gt 0; do
case $1 in
@@ -33,7 +26,7 @@ while test $# -gt 0; do
shift
done
-test -z "$tlweb" && tlweb=/home/ftp/texlive/tlnet/2008
+test -z "$tlweb" && tlweb=/home/ftp/texlive/tlnet/$yyyy
if test -z "$Master"; then
mydir=`dirname $0`
Master=`cd $mydir/../.. && pwd`
@@ -45,11 +38,10 @@ if test ! -r "$tlweb/tlpkg/texlive.tlpdb"; then
fi
test -z "$tlwebtrybase" \
&& tlwebtrybase=`cd $tlweb/../.. && pwd`/tlnet-trial-`date +%y%m%d`
-
tlwebtry=$tlwebtrybase/tlsrc.try
+echo "$0: using tlweb=$tlweb" # top level network directory, mirrored
+echo "$0: using tlwebtry=$tlwebtry" # local working dir
-echo "$0: using tlweb=$tlweb"
-echo "$0: using tlwebtry=$tlwebtry"
#
# Be sure we're starting the test cleanly.
@@ -57,6 +49,7 @@ rm -rf $tlwebtrybase
mkdir -p $tlwebtry
cp -al $tlweb/* $tlwebtry # assuming GNU cp
+# Update packages in our working dir.
echo "$0: Updating $tlwebtry in cow-shell..."
cd $tlwebtry
cow-shell <<END_COW
@@ -70,17 +63,17 @@ echo "$0: Running tl-update-install-pkg..."
$Master/tlpkg/bin/tl-update-install-pkg -o $tlwebtry
END_COW
+
+#
# Now we have an updated tlweb in $tlwebtry where only the changed files
# are actual files, the rest are hard links.
# Try to make a test installation.
-
cd $tlwebtrybase
tlwebtryinst=$tlwebtrybase/tlinst.try
-yyyy=2008
zcat $tlwebtry/install-tl-unx.tar.gz | tar -xf -
cd install-tl
-# create profile:
+# create TL install profile:
echo "# texlive-profile from $0
selected_scheme scheme-full
TEXDIR $tlwebtryinst/$yyyy
@@ -98,7 +91,7 @@ option_symlinks 0
echo "$0: Running test install (log: `pwd`/install.log)..."
perl install-tl -location $tlwebtry -profile texlive.profile >install.log 2>&1\
-|| true # install-tl can fail, but we test the output!!
+|| true # install-tl can fail, but we test the output, so don't abort.
# the following long grep command should filter away all *normal*
# installation messages.
@@ -134,6 +127,8 @@ unexpected_output=`cat install.log \
| grep -Ev '^Logfile: ' \
| cat`
+
+#
if test -z "$unexpected_output"; then
# no unexpected output, so ship the new packages.
cd $tlwebtrybase
@@ -149,6 +144,7 @@ if test -z "$unexpected_output"; then
exit 0
else
echo "$0: Test installation failed, not removing anything!" >&2
+ echo "$0: (Don't forget to clean up later, please.)" >&2
echo "$0: Here is the unexpected output:" >&2
echo "$unexpected_output" >&2
echo